## debian-policy 3.5.6.1

=== debconf_spec/Makefile ===
all: debconf_specification.txt debconf_specification.html

%.html: %.xml html.dsl
	jade -V nochunks -t sgml -d html.dsl \
		/usr/lib/sgml/declaration/xml.dcl $< > $@
	-tidy -i -m -f /dev/null $@

%.txt: %.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

=== debian/changelog ===
debian-policy (3.5.6.1) unstable; urgency=low

  * Set the cotact information for the FHS contact, and add mention of the
    FHS mailing list.                                        closes: Bug#137172
  * ftp://ftp.debian.org/debian/doc/package-developer/ certainly seems to
    exist, and does contain the menu policy.     closes: Bug#110711, Bug#121977
  * Added java related virtual packages                      closes: Bug#110713
  * Fixed confusion in appar4ently contradictory wording about /etc/init.d
    scripts: clarified to emphasize that the init.d files _are_
    configuration files, and they _must_ have local changes preserved,
    either (if they are present in the .deb) by marking them as conffiles
    or, if they do not exist in the .deb file, by any other means. This
    does not change any requirements, and should have no affect on any
    conformant packages.                                     closes: Bug#132621
  * Fixed error in doc-base file                             closes: Bug#137521
  * fixed typo in virtual packages list                      closes: Bug#110446
  * Fixed typo in upgrading checklist.                       closes: Bug#110705
  * Fixed typo (dependencies) in the policy                  closes: Bug#122931
  * Fixed grammar errors in the policy                       closes: Bug#126131
  * While I am cleaning out bugs, these are old and the reporter no longer
    wnats to pursue them, and there was never a consensus reached. If
    there is interest, new bugs can be filed.      closes: Bug#51411, Bug#51412
  * Added the virtual package dict-client                    closes: Bug#122996
  * Added the virtual package foomatic-data                  closes: Bug#123570
  * Added the virtual packages {x-}audio-mixer               closes: Bug#131781

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 14 Mar 2002 12:16:53 -0600

debian-policy (3.5.6.0) unstable; urgency=low

  * Change footnote about urgency values to the now-current list: low,
    medium, high, emergency.
  * Correct note about /etc/default files being conffiles/config files,
    which I mucked up (sorry Joey) [10.3.2]
  * [AMENDMENT 2001/06/26] Downgrade emacs/tex to optional   
                                                  closes: Bug#102204, Bug#53849
  * [AMENDMENT 2001/06/26] Next stage in usr/doc -> usr/share/doc transition
                                                             closes: Bug#102199

  * [AMENDMENT 09/06/2001] Clarifying FHS policy   closes: Bug#98291, Bug#60461
  * Spelling correction                                      closes: Bug#105625
  * [AMMENDMENT 28/06/2001] Restrict http access to /usr/share/doc
                                                             closes: Bug#100631
  * [AMENDMENT 23/5/2001] Optional build-arch and build-indep targets for
    debian/rules                                             closes: Bug#72335
  * The old packaging manual is included in the policy document as an
    informative appendix. It is not part of Debian Technical Policy, and
    its presence is a temporary measure until dpkg documentation includes
    the information provided.                                closes: Bug#105535
  * Added information about optional blank lines in the chagelog format.
                                                             closes: Bug#105538

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 24 Jul 2001 21:43:22 -0500

debian-policy (3.5.5.0) unstable; urgency=low

  * Fixed up incorrect entries in the changelog (there was an erroneous
    3.5.0.1 revision which never happened; it has now been correctly
    merged with the 3.5.3.0 changelog entry)
  * Add section numbers to upgrading-checklist for all revisions from
    3.0.0 onwards
  * Complete rewrite (and renumbering) of sections 9.1 and 9,2
  * This time *really* include the HTML version of the FHS
  * Added doc-base support for all of the HTML files
  * Added several more files to the byhand list and rewrote chunks of
    debian/rules to do this
  * Add patched versions of debiandoc-sgml stuff to source package until
    patches are incorporated upstream
  * Versioned Build-Depend on debiandoc-sgml for fixed Text.pm
  * Improved mkdir example in 10.1.2                 closes: Bug#92744
  * Made the "where examples live" entry in the upgrading-checklist
    clearer (add "for use by scripts")
  * Add a dpkg-statoverride description section      closes: Bug#89473
  * Fix the ldconfig usage description (remove "only if")
                                                     closes: Bug#89674
  * Clarification of package priority issues vis-a-vis the X Windows
    system                                           closes: Bug#91249
  * Enhanced x-terminal-emulator policy              closes: Bug#91252
  * Minor changes to X app-defaults policy           closes: Bug#91259
  * Clarification of X policy in respect to FHS      closes: Bug#91260
  * OpenMotif has the same rules as OSF/Motif        closes: Bug#91261
  * The X Font policy rewrite                        closes: Bug#91257
  * The "man" program is no longer guaranteed to read header information
    to find alternative manpage names                closes: Bug#94995
  * Correction to meaning of Standards-Version       closes: Bug#97072
  * Split section 12.8 (X Window System) into subsections for readability
  * Plug-ins != shared libraries (at last)           closes: Bug#66023
  * Add packaging manual remnants to policy document as appendices, and
    mention this in control file                     closes: Bug#95906
  * Clarification in Perl policy                     closes: Bug#98712

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Jun 2001 10:37:52 +0100

debian-policy (3.5.4.0) unstable; urgency=low

  * [ACCEPTED 2/4/01] /var/mail and /var/spool/mail  closes: Bug#42052
  * [AMENDMENT 26/04/2001] include Perl Policy       closes: Bug#83977
  * Also incorporates all the improvements that Julian has made to to the


=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, Manoj Srivastava <srivasta@debian.org>
Standards-Version: ${debian-policy:Version}
Build-Depends-Indep: links, debiandoc-sgml (>= 1.1.47), sp, liburi-perl, libpaperg, tetex-bin, tetex-extra, latex2html, libi18n-langtags-perl, groff, bsdmainutils, pstoedit, tidy, jade, docbook-xml

Package: debian-policy
Architecture: all
Suggests: doc-base
Depends: fileutils (>= 4.0)
Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
Replaces: packaging-manual
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Thu Oct 29 15:35:55 1998
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Sep  6 09:37:43 2000
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 56
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
## $Id$
###############################################################################

# ifdef ARCH
#   ha:=-a$(ARCH)
# endif

# set the dpkg-architecture vars; but we don't use them, so we'll comment out
# export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
# export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
# export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
# export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
# export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
# export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
# export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
# export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)


# The name of the package (for example, `emacs').
package := $(shell grep Source debian/control | sed 's/^Source: //')
# arch	:= $(shell dpkg --print-installation-architecture)
date	:= $(shell date +"%Y-%m-%d")
version := $(shell LC_ALL=C dpkg-parsechangelog | \
		   grep ^Version: | sed 's/^Version: *//')

# Location of the source dir
SRCTOP	  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
TMPTOP	  := $(SRCTOP)/debian/tmp
DOCDIR	  := $(TMPTOP)/usr/share/doc/$(package)
LIBDIR	  := $(TMPTOP)/usr/share/doc-base


SGML_FILES      = policy menu-policy mime-policy policy-process perl-policy
DESC_FILES      = debian-policy debian-menu-policy debian-perl-policy \
                  debian-mime-policy debian-policy-process debconf-spec \
		  fhs

# While we have two versions of the FHS installed in the source package,
# we need to modify this to handle it.  This is the easiest way to do it.
# FHS_ARCHIVE  =$(shell ls -1 fhs*.tar.gz)
# And with version 2.1, we have to build the text and dvi versions
# ourselves :-(
FHS_ARCHIVE  =fhs-2.1-source.tar.gz
FHS_HTML     =fhs-2.1.html.tar.gz
FHS_FILES    =fhs/fhs.ps fhs/fhs.txt fhs/fhs.pdf
FHS_BYHAND   =fhs-2.1.html.tar.gz fhs/fhs.txt
# FSSTND_FILES =FSSTND-FAQ fsstnd-1.2.dvi.gz fsstnd-1.2.ps.gz fsstnd-1.2.txt.gz
POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
	       virtual-package-names-list.txt \
	       upgrading-checklist.txt libc6-migration.txt version.ent \
               debconf_spec/debconf_specification.html \
               debconf_spec/debconf_specification.txt.gz
BYHAND_FILES = $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
	       debconf_spec/debconf_specification.txt.gz \
	       debconf_spec/debconf_specification.html \
	       libc6-migration.txt virtual-package-names-list.txt \
	       policy.ps.gz policy.pdf.gz upgrading-checklist.txt \
	       $(FHS_BYHAND)

FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
		  debian/postinst debian/prerm \
		  version.ent upgrading-checklist.txt \
		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
		  policy.pdf.gz policy.ps.gz \
		  debconf_specification.xml.tar.gz

STAMPS_TO_CLEAN = stamp-policy stamp-build stamp-configure
DIRS_TO_CLEAN   = debian/tmp fhs $(SGML_FILES:=.html)


install_file   = /usr/bin/install -p	-o root -g root	 -m  644
install_program= /usr/bin/install -p	-o root -g root	 -m  755
make_directory = /usr/bin/install -p -d -o root -g root	 -m  755

GROFF_VERSION := $(shell dpkg -s groff | sed -n -e 's/Version: //p')


all build: stamp-build
stamp-build:
	$(checkdir)
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	# Set PERL5LIB to use our version of DebianDoc_SGML::Format::Text
	set -e; \
	for file in $(SGML_FILES); do \
	  nsgmls -gues $$file.sgml; \
	  debiandoc2html $$file.sgml; \
	  env PERL5LIB=. debiandoc2text $$file.sgml; \
	  if [ -f $$file.text ]; then mv $$file.text $$file.txt; fi; \
	  gzip -9 $$file.txt; \
	  tar -cf $$file.html.tar $$file.html; \
	  gzip -9 $$file.html.tar; \
	done
	tar -zxf $(FHS_ARCHIVE)
	# Need to use a patched tmac.m macro file if we're using a pre-1.16
	# groff; version 1.16 is apparently fixed
	if dpkg --compare-versions $(GROFF_VERSION) lt 1.16; then \
	    cp /usr/share/groff/tmac/tmac.m fhs && \
	    cd fhs && patch -p1 < ../mm1.32-patch; \
	fi
	# The extra '.' in the tmac path won't harm if unnecessary
	GROFF_TMAC_PATH=. cd fhs && $(MAKE) fhs.ps fhs.pdf fhs.txt
	links -dump fhs-changes-2.1.html | perl -pe 's/[\r\0]//g' > \
                    fhs/fhs-changes-2.1.txt
	links -dump upgrading-checklist.html | perl -pe 's/[\r\0]//g' > \
                    upgrading-checklist.txt
	$(MAKE) -C debconf_spec all
	gzip -9f debconf_spec/debconf_specification.txt
	touch stamp-build

configure: stamp-configure
stamp-configure:
	rm -f version.ent
	echo "<!entity version \"$(version)\">" >> version.ent
	echo "<!entity date    \"$(date)\">"	    >> version.ent
	touch stamp-configure

clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	$(MAKE) -C debconf_spec clean
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS


binary:		binary-indep binary-arch
binary-arch:	build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	stamp-policy
stamp-policy:  build
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
#	This is unnecessary; commenting out
#	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	-rm -rf			$(TMPTOP)
	$(make_directory)	$(TMPTOP)/DEBIAN
#	$(make_directory)	$(DOCDIR)/fsstnd
	$(make_directory)	$(DOCDIR)/fhs
	$(make_directory)	$(LIBDIR)
	# create a substvar to reference from debian/control so that
	# we don't hardcode the policy compliance of the policy
	# package.  I guess some might question this but I take it as
	# a given that the debian-policy pkg must always comply with
	# itself...
	echo "debian-policy:Version=$(version)"	     > debian/substvars
	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
#	$(install_file)	    $(FSSTND_FILES)	     $(DOCDIR)/fsstnd/
	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    debian/changelog	     $(DOCDIR)/
	# Be more specific with file compression
	-gzip -9	    $(DOCDIR)/*.txt $(DOCDIR)/*.sgml \
				$(DOCDIR)/fhs/* $(DOCDIR)/changelog
	$(install_file)	    debian/copyright	     $(DOCDIR)/
	GZIP=-9 cd debconf_spec && \
	  tar -zcf ../debconf_specification.xml.tar.gz *
	$(install_file)	    debconf_specification.xml.tar.gz $(DOCDIR)/
	set -e; \
	for file in $(DESC_FILES); do \
	  $(install_file) $$file.desc $(LIBDIR)/$$file; \
	done
	set -e; \
	for file in $(SGML_FILES); do \
	  tar -C $(DOCDIR) -zxf $$file.html.tar.gz; \
	done
	tar -C $(DOCDIR)/fhs -zxf $(FHS_HTML)
	sed -e 's/#PACKAGE#/$(package)/g' debian/postinst.in > debian/postinst
	sed -e 's/#PACKAGE#/$(package)/g' debian/prerm.in > debian/prerm
	$(install_program)  debian/postinst          debian/tmp/DEBIAN/
	$(install_program)  debian/prerm             debian/tmp/DEBIAN/
	dpkg-gencontrol	    -pdebian-policy -Pdebian/tmp -isp
	chown		    -R root:root debian/tmp
	chmod		    -R go=rX debian/tmp
	dpkg		    --build debian/tmp ..
	# Set PERL5LIB to use our version of DebianDoc_SGML::Format::LaTeX
	env PERL5LIB=. debiandoc2latexps   policy.sgml

## debian-policy 3.6.1.1

=== Makefile ===
include debian/rules

policy.sgml: version.ent
menu-policy.sgml: version.ent
mime-policy.sgml: version.ent

%.validate: %
	nsgmls -wall -gues $<

%.html/index.html: %.sgml
	LANG=C debiandoc2html $<

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

%.txt: %.sgml
	LANG=C debiandoc2text $<

%.txt.gz: %.txt
	gzip -cf9 $< > $@

%.ps: %.sgml
	LANG=C debiandoc2latexps $<

%.ps.gz: %.ps
	gzip -cf9 $< > $@

%.pdf: %.sgml
	LANG=C debiandoc2latexpdf $<

%.pdf.gz: %.pdf
	gzip -cf9 $< > $@

# convenience aliases :)
html: policy.html/index.html
txt text: policy.txt
ps: policy.ps
pdf: policy.pdf
policy: html txt ps pdf

leavealone :=	$(FHS_HTML) $(FHS_FILES) $(FHS_ARCHIVE) \
		fhs-2.0.tar.gz fhs-changes-2.1.html \
		fsstnd-1.2.txt.gz libc6-migration.txt \
		upgrading-checklist.html virtual-package-names-list.txt
	      
.PHONY: distclean
distclean:
	rm -rf $(filter-out $(leavealone),$(wildcard *.html))
	rm -f $(filter-out $(leavealone),$(wildcard *.txt *.txt.gz *.html.tar.gz *.pdf *.ps))
	rm -f *.lout* lout.li *.sasp* *.tex *.aux *.toc *.idx *.log *.out *.dvi *.tpt
	rm -f `find . -name "*~" -o -name "*.bak" -o -name ".#*" -o -name core`
	rm -f version.ent
	rm -f *.rej *.orig

# if a rule bombs out, delete the target
.DELETE_ON_ERROR:
# no default suffixes work here, don't waste time on them
.SUFFIXES:

=== groff/Makefile ===
export PATH=/usr/bin:/bin:/usr/local/bin
unexport GROFF_TMAC_PATH

TFLAGS=-p -t -mm -Wall -M./tmac
GROFF=groff

all: fhs.ps fhs.txt

fhs.lj4: draft.mm
	$(GROFF) $(TFLAGS) -Tlj4 draft.mm > fhs.lj4

fhs.dvi: draft.mm
	$(GROFF) $(TFLAGS) -Tdvi draft.mm > fhs.dvi

fhs.txt: draft.mm
	$(GROFF) $(TFLAGS) -Tascii draft.mm | col -bx > fhs.txt

fhs.doc: draft.mm
	$(GROFF) $(TFLAGS) -Tlatin1 draft.mm > fhs.doc

fhs.ps: draft.mm
	$(GROFF) $(TFLAGS) -Tps draft.mm > fhs.ps

fhs.pdf: draft.mm fhs.ps
	ps2pdf fhs.ps fhs.pdf

X75: draft.mm
	$(GROFF) $(TFLAGS) -TX75 draft.mm

X100: draft.mm
	$(GROFF) $(TFLAGS) -TX100 draft.mm

clean:
	rm -f fhs.dvi fhs.ps fhs.txt fhs.doc fhs.lj4

=== debian/changelog ===
debian-policy (3.6.1.1) unstable; urgency=low

  Manoj:
  * [AMENDMENT 15/09/2003] Move documentation of behavior of ancient dpkg
    in 6.6 to a footnote.                                  closes: Bug#209855
  * Fix the outdated link for the mime subpolicy.          closes: Bug#212153
  * Fix a missing comma in the list of sections            closes: Bug#215524
  * Fix spelling of sysv-rc                                closes: Bug#215558
  * [AMENDMENT 28/03/2004] ${perl:Depends} documentation
    incomplete. Added an informative foot note stating that dependencies
    caused by versioned uses and on separately packaged modules are not
    included in this variable and must be explicitly included.
                                                           closes: Bug#202054
  * Clarified that section 3.2.1 refers to the date based postion of  the
    version number, if not already clear from the context. This allows
    developers leeway in selecting date based version numbers for their
    packages, without loosing the advantages of the format specified in
    this section.                                          closes: Bug#248618
  * Bug fix: "Broken link to virtual-package-names-list.txt in section
    3.6", thanks to Carlos O'Donell                        (Closes: #248786).
  * Bug fix: "Broken link to debconf_specification.txt.gz in section
    3.10.1 of the Debian Policy manual.", thanks to Carlos O'Donell and
    Scott C.MacCallum <scm@madoshi.com>            (Closes: #248788, 247761).
  * Bug fix: "missing commas in subsections list", thanks to Filippo
    Giunchedi                                             (Closes: #236614).
  * Bug fix: "debian-policy: policy-process, broken URL", thanks to Manoj
    Srivastava                                           (Closes: #244969).
  * Bug fix: "bad reference to debconf-devel(8) has to be (7)", thanks to
    Kevin Price                                          (Closes: #247143).
  * Bug fix: "debian-policy: Small wording change", thanks to Mike Paul
                                                          (Closes: #252392).
  * Bug fix: "debian-policy: broken URL: CSH Programming Considered
    Harmful", thanks to Steven Augart                     (Closes: #253324).
  * Bug fix: "New virtual package: cron-daemon", thanks to Adam Byrtek
                                                          (Closes: #252086).
  Josip:
  * Fixed detection of invoke-rc.d's existence,            closes: #218530.
  * Generalized the dpkg-shlibdeps example and added a current example in a
    footnote, set proper section ids and linked the d-sd section better,
                                                           closes: #50565.
  * Clarified the section about the Architecture field and added footnotes
    to indicate recommended actions,                       closes: #51832.
  * Updated PGP references,                                closes: #68827.
  * Linked f-Format in the list of fields of the .dsc file, not mandatory
    according to my skimming of dpkg-source,               closes: #70742.
  * Fixed the command line required to output the copyright file,
                                                           closes: #75508.
  * Removed the long obsolete notion of specific directory names within
    source tarballs,                                       closes: #79210.
  Andi:
  * sgml-dtd was moved, fix FTBFS.                         Closes: #241683
  * fix link to WM specification.                          Closes: #235484
  * manpage -> man page.                          Closes: #232364, #238958
  * language adjustment.                                   Closes: #227762
  * added virtual packages stardict-dictionary, inetd-superserver.
                                                  Closes: #185943, #237049

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Jun 2004 16:07:38 -0500

debian-policy (3.6.1.0) unstable; urgency=low

  Josip:
  * Removed obsolete section on obsolete constructs and libraries,
    closes: #193748.
  Manoj:
  * Change reference to the debconf introduction from kitenet to a debian
    hosted server.                                         closes: Bug#187297
  * Added myspell-dictionary to the virtual packages list  closes: Bug#203728
  * Fix the restart action in the init.d/bind example; it now uses
    --oknodo so that the action does not fail when the service is not
    running.                                               closes: Bug#187250
  * invoke-rc.d and update-rc.d are now in the sysv-rc package instead of
    the sysvinit package. Fixed a reference in policy.     closes: Bug#200440
  * Note that postinst abort-remove is called if there is an error while
    removing the package.                                  closes: Bug#188030
  * [AMENDMENT 2003/08/03] Make Debconf the standard for prompting the
    user                                                   closes: Bug#176506

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Aug 2003 07:28:10 -0500

debian-policy (3.6.0) unstable; urgency=low

  Josip:
  * Restructured Policy, closes: #189306.
    + Many packaging manual appendices that were integrated into policy
      sections are now empty, and replaced with links to the Policy.
      In particular, the appendices that included the list of control
      fields were updated (new fields like Closes, Changed-By were added)
      and the list of fields for each of control, .changes and .dsc files
      is now in Policy, and they're marked mandatory, recommended or
      optional based on the current practice and the behaviour of the
      deb-building toolchain.
    + Elimination of needlessly deep section levels, primarily in the
      chapter Debian Archive, from which two new chapters were split out,
      Binary packages and Source packages. What remained was reordered
      properly, that is, some sect1s became sects etc.


=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, Manoj Srivastava <srivasta@debian.org>, Josip Rodin <joy-packages@debian.org>
Standards-Version: 3.6.1.1
Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), tetex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | links-ssl (>= 0.90)

Package: debian-policy
Architecture: all
Suggests: doc-base
Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
Replaces: packaging-manual
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Thu Oct 29 15:35:55 1998
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Sat Jun  7 13:31:08 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 60
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
## $Id$
###############################################################################

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars; but we don't use them, so we'll comment out
export DEB_BUILD_ARCH      ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)

arch	:= $(shell dpkg --print-installation-architecture)

# Basic information
package := $(shell grep Source debian/control | sed 's/^Source: //')
date	:= $(shell date +"%Y-%m-%d")
version := $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)

# Location of the source dir
SRCTOP	  := $(CURDIR)
TMPTOP	  := $(SRCTOP)/debian/tmp
DOCDIR	  := $(TMPTOP)/usr/share/doc/$(package)
LIBDIR	  := $(TMPTOP)/usr/share/doc-base

sanitycheck := debian/rules policy.sgml

SGML_FILES := policy menu-policy mime-policy policy-process perl-policy
DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
              debian-mime-policy debian-policy-process debconf-spec fhs

# While we have two versions of the FHS installed in the source package,
# we need to modify this to handle it.  This is the easiest way to do it.
# FHS_ARCHIVE := $(wildcard fhs*.tar.gz)
# And with version 2.1, we have to build the text and dvi versions
# ourselves :-(
FHS_ARCHIVE  := fhs-2.1-source.tar.gz
FHS_HTML     := fhs-2.1.html.tar.gz
FHS_FILES    := fhs/fhs.ps fhs/fhs.txt fhs/fhs.pdf
# FSSTND_FILES := FSSTND-FAQ fsstnd-1.2.dvi.gz fsstnd-1.2.ps.gz fsstnd-1.2.txt.gz
POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
	       virtual-package-names-list.txt \
	       upgrading-checklist.txt libc6-migration.txt version.ent \
               debconf_spec/debconf_specification.html \
               debconf_spec/debconf_specification.txt.gz \
               policy.ps.gz policy.pdf.gz

FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
		  debian/postinst debian/prerm \
		  version.ent upgrading-checklist.txt \
		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
		  policy.pdf.gz policy.ps.gz \
		  debconf_specification.xml.tar.gz

STAMPS_TO_CLEAN := stamp-policy stamp-build
DIRS_TO_CLEAN   := debian/tmp fhs $(SGML_FILES:=.html)


install_file    := install -p	-o root -g root	 -m  644
install_program := install -p	-o root -g root	 -m  755
make_directory  := install -p -d	-o root -g root	 -m  755


all build: stamp-build
stamp-build: version.ent $(sanitycheck)
	$(MAKE) $(SGML_FILES:=.sgml.validate) \
		$(SGML_FILES:=.html.tar.gz) \
		$(SGML_FILES:=.txt.gz) \
		policy.ps.gz policy.pdf.gz
	tar -zxf $(FHS_ARCHIVE)
	# Need to use a patched tmac.m macro file if we're using a pre-1.16
	# groff; version 1.16 is apparently fixed
	if dpkg --compare-versions "$(shell dpkg -s groff | sed -n -e 's/Version: //p')" lt 1.16; then \
	    cp /usr/share/groff/tmac/tmac.m fhs && \
	    cd fhs && patch -p1 < ../mm1.32-patch; \
	fi
	# The extra '.' in the tmac path won't harm if unnecessary
	GROFF_TMAC_PATH=. GROFF_NO_SGR=1 $(MAKE) -C fhs fhs.ps fhs.pdf fhs.txt
	links -dump fhs-changes-2.1.html | perl -pe 's/[\r\0]//g' > \
                    fhs/fhs-changes-2.1.txt
	links -dump upgrading-checklist.html | perl -pe 's/[\r\0]//g' > \
                    upgrading-checklist.txt
	$(MAKE) -C debconf_spec all
	touch stamp-build

configure: version.ent
version.ent: debian/changelog
	rm -f $@
	echo "<!entity version \"$(version)\">" >> $@
	echo "<!entity date    \"$(date)\">"	>> $@

clean: $(sanitycheck)
# Undoes the effect of `make -f debian/rules build'.
	$(MAKE) -C debconf_spec clean
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS


binary:		binary-indep binary-arch
binary-arch:	build $(sanitycheck)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	stamp-policy
stamp-policy:  build $(sanitycheck)
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
#	This is unnecessary; commenting out
#	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	rm -rf			$(TMPTOP)
	$(make_directory)	$(TMPTOP)/DEBIAN
#	$(make_directory)	$(DOCDIR)/fsstnd
	$(make_directory)	$(DOCDIR)/fhs
	$(make_directory)	$(LIBDIR)
	# create a substvar to reference from debian/control so that
	# we don't hardcode the policy compliance of the policy
	# package.  I guess some might question this but I take it as
	# a given that the debian-policy pkg must always comply with
	# itself...
	echo "debian-policy:Version=$(version)"	     > debian/substvars
	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
#	$(install_file)	    $(FSSTND_FILES)	     $(DOCDIR)/fsstnd/
	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    debian/changelog	     $(DOCDIR)/
	# Be more specific with file compression
	gzip -f9	    $(DOCDIR)/*.txt $(DOCDIR)/*.sgml \
				$(DOCDIR)/fhs/* $(DOCDIR)/changelog
	$(install_file)	    debian/copyright	     $(DOCDIR)/
	GZIP=-9 cd debconf_spec && \
	  tar -zcf ../debconf_specification.xml.tar.gz *
	$(install_file)	    debconf_specification.xml.tar.gz $(DOCDIR)/
	@set -ex; \
	for file in $(DESC_FILES); do \
	  $(install_file) $$file.desc $(LIBDIR)/$$file; \
	done
	@set -ex; \
	for file in $(SGML_FILES); do \
	  tar -C $(DOCDIR) -zxf $$file.html.tar.gz; \
	done
	tar -C $(DOCDIR)/fhs -zxf $(FHS_HTML)
	sed -e 's/#PACKAGE#/$(package)/g' debian/postinst.in > debian/postinst
	sed -e 's/#PACKAGE#/$(package)/g' debian/prerm.in > debian/prerm
	$(install_program)  debian/postinst          debian/tmp/DEBIAN/
	$(install_program)  debian/prerm             debian/tmp/DEBIAN/
	dpkg-gencontrol	    -p$(package) -Pdebian/tmp -isp
	chown		    -R root:root debian/tmp
	chmod		    -R go=rX debian/tmp
	dpkg		    --build debian/tmp ..
	touch		    stamp-policy


.PHONY: configure build binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:

## debian-policy 3.6.2.1

=== debian/changelog ===
debian-policy (3.6.2.1) unstable; urgency=low

  * Bug fix: "debian-policy: Typo in upgrading-checklist.txt.gz", thanks
    to Romain Francoise. Added the missing /.               (Closes: #314569).
  * Bug fix: "x-session-manager already in use, so please add to
    virtual-package-names-list.txt", thanks to Christopher Martin 
                                                             (Closes: #313626).
  * Bug fix: "[ACCEPTED] SRFI 22 names for Scheme implementations", thanks
    to Jorgen Schaefer                                       (Closes: #310113).
  * Bug fix: "debian-policy: please add x-display-manager to
    virtual-package-names-list.txt", thanks to Jon Dowland  (Closes:  #294633).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 18 Jun 2005 00:48:14 -0500

debian-policy (3.6.2.0) unstable; urgency=low

  Manoj:
  * Bug fix: "policy 11.5.3 refers to using the menu package to register
    docs", thanks to Joey Hess                             (Closes: #222553).
  * Bug fix: "[PROPOSAL] Document Uploaders: field in policy", thanks to
    Andrew Pollock. Andreas Metzler provided the wording, though it was
    modified during inclusion.                              (Closes: #203145).
  * Bug fix: "debian-policy: Minor grammatical correction in section 9.4",
    thanks to Eric Evans. I rejected the proposed change, instead I went
    over the whole policy document and removed all he/she/him/her
    constructs before the gender police jump all over me.   (Closes: #273122).
  * Bug fix: "XSI:ism in prerm and postinst", thanks to David Weinehall
                                                            (Closes: #260092).
  * Bug fix: "debian-policy: please clarify section 12.7.", thanks to
    Adrian Bunk. Added a clarifying footnote that makes it clear that
    section 12.3 does not allow one to ignore section 12.7  (Closes: #276953).
  * 
  * Bug fix: "debian-policy: should not ship generated files in source
    archive, and should clean them from the tree", thanks to Branden
    Robinson                                                 (Closes: #284967).
  * Bug fix: "debian-policy: Detailed description of maintainer script
    calls (Section 6.5) is incomplete", thanks to Nikolaus Schulz 
    and Thomas Hood. What happens when error unwinding itself runs into
    problems is perhaps not discussed as completely as it should be.
                                                             (Closes: #286549).
  * Bug fix: "9.3.3.2 &quot;command -v&quot; example needs tweaking",
    thanks to Thomas Hood. Instead of the massively complex shenanigans
    suggested in the bug report, just use which. which lives in an
    essential package, so can be used in the preinst of packages.
                                                             (Closes: #291026).
  * Bug fix: "debian-policy: please clarify/loosen the policy on rewriting
    history", thanks to Frank Küster. Since this was not really a
    directive, but merely an expression of an opinion, moved it into an
    informative footnote.                                    (Closes: #290270).
  * Bug fix: "debian-policy: virtual package request: mpd-client", thanks
    to Eric Wong                                             (Closes: #270020).
  * Bug fix: "[ACCEPTED 2005/02/04]: "libexec", or use of "lib" for
    binaries in lib* packages", thanks to Junichi Uekawa 
                                                              (Closes: #146023). 
  * Bug fix: "debian-policy: virtual package: flexmem", thanks to Bartosz
    Fenski aka fEnIo                                          (Closes: #239359).
  * Bug fix: "Please clarify Section 2.5. required <-> essential",
    thanks to Adrian Bunk. Clarified the section.             (Closes: #216104).
  * Bug fix: "debian-policy: Please remove virtual package
    aspell-dictionary", thanks to Brian Nelson                (Closes: #295939).
  * Bug fix: "[AMENDMENT 18/02/2002] Where to place web-accessible
    images", thanks to Tollef Fog Heen                         (Closes: #89867).
  * Bug fix: "debian-policy: erroneous enumeration in prebuilt policy.*
    files", thanks to Nikolaus Schulz. I am hoping that this shall go away
    when we rebuild.                                          (Closes: #286553).
  * Bug fix: "please make names of alternate versions links", thanks to
    Robert Cheramy. Added HTTPPATH elements that should provide the URL's
    as well as the hyperlinks.                                 (Closes: #308886).
  * Bug fix: "www.debian.org: Misspelling in Policy Manual", thanks to
    Roberto C. Sanchez Various spelling errors were also corrected in a
    spell check run.                                           (Closes: #309162).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Jun 2005 20:27:17 -0500

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 ## Created On	    : Thu Oct 29 15:35:55 1998
 ## Created On Node  : tiamat.datasync.com
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Sat Jun  7 13:31:08 2003
-## Last Machine Used: glaurung.green-gryphon.com
-## Update Count	    : 60
+## Last Modified On : Tue Oct 26 15:20:25 2004
+## Last Machine Used: glaurung.internal.golden-gryphon.com
+## Update Count	    : 62
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
@@ -55,6 +55,9 @@
 FHS_ARCHIVE  := fhs-2.1-source.tar.gz
 FHS_HTML     := fhs-2.1.html.tar.gz
 FHS_FILES    := fhs/fhs.ps fhs/fhs.txt fhs/fhs.pdf
+FHS_NEW_ARCHIVE  := fhs-2.3-source.tar.gz
+FHS_NEW_HTML     := fhs-2.3.html
+FHS_NEW_FILES    := fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz
 # FSSTND_FILES := FSSTND-FAQ fsstnd-1.2.dvi.gz fsstnd-1.2.ps.gz fsstnd-1.2.txt.gz
 POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
 	       virtual-package-names-list.txt \
@@ -63,12 +66,14 @@
                debconf_spec/debconf_specification.txt.gz \
                policy.ps.gz policy.pdf.gz
 
+# policy.{pdf,ps,tpt,txt} are generated files
 FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
 		  debian/postinst debian/prerm \
 		  version.ent upgrading-checklist.txt \
 		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
 		  policy.pdf.gz policy.ps.gz \
-		  debconf_specification.xml.tar.gz
+		  debconf_specification.xml.tar.gz \
+                  policy.pdf policy.ps policy.txt policy.
 
 STAMPS_TO_CLEAN := stamp-policy stamp-build
 DIRS_TO_CLEAN   := debian/tmp fhs $(SGML_FILES:=.html)
@@ -148,6 +153,8 @@
 	# Be more specific with file compression
 	gzip -f9	    $(DOCDIR)/*.txt $(DOCDIR)/*.sgml \
 				$(DOCDIR)/fhs/* $(DOCDIR)/changelog
+# These are allready compressed
+	$(install_file)	    $(FHS_NEW_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    debian/copyright	     $(DOCDIR)/
 	GZIP=-9 cd debconf_spec && \
 	  tar -zcf ../debconf_specification.xml.tar.gz *
@@ -161,6 +168,7 @@
 	  tar -C $(DOCDIR) -zxf $$file.html.tar.gz; \
 	done
 	tar -C $(DOCDIR)/fhs -zxf $(FHS_HTML)
+	$(install_file)     $(FHS_NEW_HTML)    $(DOCDIR)/fhs
 	sed -e 's/#PACKAGE#/$(package)/g' debian/postinst.in > debian/postinst
 	sed -e 's/#PACKAGE#/$(package)/g' debian/prerm.in > debian/prerm
 	$(install_program)  debian/postinst          debian/tmp/DEBIAN/

## debian-policy 3.6.2.2

=== debian/changelog ===
debian-policy (3.6.2.2) unstable; urgency=low

  [ Manoj ]
  * Bug fix: "policy is out of date re tasks and tasksel", thanks to Joey
    Hess. Removed the section from policy.                   (Closes: #344310).
  * Bug fix: "debian-policy: Please remove virtual package cron-daemon",
    thanks to Steve Greenland                                (Closes: #257726).
  * Bug fix: "debian-policy: incorrect tar example deb manipulation",
    thanks to Bob Proulx                                     (Closes: #224770).
  * Bug fix: "Probable typo in 10.1 install -s miss INSTALL =", thanks to
    Bill Allombert                                           (Closes: #341992).
  * Bug fix: "debian-policy: postinst abort-remove (6.7) not present in
    summary (6.4)", thanks to Ferenc Wagner                  (Closes: #338493).
  * Bug fix: "UTF-8 footnote is out of date (pre-sarge)", thanks to Martin
    Michlmayr                                                (Closes: #337539).
  * Bug fix: "debian-policy: Typo in perl-policy", thanks to Tibor Csögör
                                                             (Closes: #334913).
  * Bug fix: "debian-policy: Outdated FSF postal address in Copyright
    Notice", thanks to Jean-Marc Ranger                      (Closes: #334819).
  * Bug fix: "debian-policy: §6.5 (3)(1): missing &quot;Error
    unwind:&quot; for &quot;new-postrm abort-upgrade&quot;", thanks to
    Henning Makholm                                          (Closes: #321792).
  * Bug fix: "debian-policy: typo in §5.6.3: co-maintaintainers", thanks
    to Henning Makholm                                       (Closes: #321790).
  * Bug fix: "debian-policy: typos in sect 9.3.1: &quot;ends .sh&quot;,
    &quot;rather that&quot;", thanks to Thijs Kinkhorst      (Closes: #343933).
  * Bug fix: "debian-policy: Unclear wording of ldconfig requirements in
    section 8.1.1", thanks to Ben Finney                      (Closes: #318214).
  * Bug fix: "debian-policy: Typo in 8.6.2: ${shlib:Depends} must be
    ${shlibs:Depends}", thanks to Thijs Kinkhorst             (Closes: #318147).
  * Bug fix: "debian-policy: gzipped fhs-2.3 documentation is corrupt",
    thanks to Gabor Gombas                                    (Closes: #340189).
  * Bug fix: "Section 6.3 should reference 3.10.1", thanks to Marc 'HE'
    Brockschmidt                                              (Closes: #326633).
  * Bug fix: "debian-policy: section 2.2 refers to no-longer existant
    non-US repository sections", thanks to Martin-Eric Racine 
                                                              (Closes: #315470).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Dec 2005 08:47:52 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Manoj Srivastava <srivasta@debian.org>, Josip Rodin <joy-packages@debian.org>
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2.2
 Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), tetex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | links-ssl (>= 0.90)
 
 Package: debian-policy
